Subject: Re: bug#79150: 30.1; org-persist annoyance

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Aug 2025 16:13:16 +0300

> From: Thierry Volpiatto <[email-masked]>
> Date: Sat, 02 Aug 2025 08:58:01 +0000
> 
> 
> Hello,
> 
> I thought I have desactived org-persist for good by advicing org-persist-register
> but things have changed again and even with this org-persist continue to
> create a directory in ~/.cache/.  So I deleted this directory, then I
> restarted emacs and try to set org-directory to nil which is not allowed
> apparently. I restarted emacs again and had an error something like
> wrong-type-argument nil (for org-directory I imagine) and a y-or-n-p to
> continue or not, I said yes, emacs restarted but all my config files had
> been deleted, init.el, early-init, gnus etc... hopefully all these files
> are under git and I restored all.  I finally found how to disable this
> org-persist annoyance by advicing a bunch of functions to 'ignore and
> disabling some hooks.
> IIRC this have been already reported and requested in the past to
> provide an easy way to disable this evil thing, but it seems it is
> always here, thus now it may corrupt elisp files unrelated to org.

Thanks.

This bug reports sounds like it's Org-specific?  If so, please report
it to the Org developers first.